defmodule DecentralisedBookIndex.SyncTasks.SyncAuthorsTaskTest do
  use DecentralisedBookIndex.DataCase

  alias DecentralisedBookIndex.SyncTasks.SyncAuthorsTask
  alias DecentralisedBookIndex.Metadata

  alias DecentralisedBookIndex.TestEndpoints
  @test_server_endpoint TestEndpoints.test_api_endpoint()

  describe "sync authors tasks" do
    test "sync authors" do
      {:ok, author} = Metadata.create_author("Author", "An description")
      {:ok, author} = Metadata.create_author("Author2", "An description")

      endpoint = @test_server_endpoint

      assert endpoint = SyncAuthorsTask.sync(endpoint)
    end
  end
end
